ClobTypeDescriptor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class ClobTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Clob>
          org.hibernate.type.descriptor.java.ClobTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Clob>

    public class ClobTypeDescriptor

extends AbstractTypeDescriptor<Clob>

Descriptor for `Clob` handling.

Note, `clobs` really are mutable (their internal state can in fact be mutated). We simply treat them as immutable because we cannot properly check them for changes nor deep copy them.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ClobTypeDescriptor.ClobMutabilityPlan`

Field Summary
`static ClobTypeDescriptor` | `INSTANCE`

Constructor Summary
`ClobTypeDescriptor()`

Method Summary
`boolean` | `areEqual(Clob one, Clob another)` Determine if two instances are equal
`int` | `extractHashCode(Clob value)` Extract a proper hash code for this value.
`Clob` | `fromString(String string)`
`Comparator<Clob>` | `getComparator()` Retrieve the natural comparator for this type.
`String` | `toString(Clob value)`
`
`<X> X`
` | `unwrap(Clob value, Class<X> type, WrapperOptions options)` Unwrap an instance of our handled Java type into the requested type.
`
`<X> Clob`
` | `wrap(X value, WrapperOptions options)` Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`extractLoggableRepresentation, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ClobTypeDescriptor INSTANCE

Constructor Detail

### ClobTypeDescriptor

    public ClobTypeDescriptor()

Method Detail

### toString

    public String toString(Clob value)

### fromString

    public Clob fromString(String string)

### getComparator

    public Comparator<Clob> getComparator()

  Description copied from class: `AbstractTypeDescriptor`
  Retrieve the natural comparator for this type.

  Specified by:
    `getComparator` in interface `JavaTypeDescriptor<Clob>`
  Overrides:
    `getComparator` in class `AbstractTypeDescriptor<Clob>`
  Returns:
    The natural comparator.

### extractHashCode

    public int extractHashCode(Clob value)

  Description copied from class: `AbstractTypeDescriptor`
  Extract a proper hash code for this value.

  Specified by:
    `extractHashCode` in interface `JavaTypeDescriptor<Clob>`
  Overrides:
    `extractHashCode` in class `AbstractTypeDescriptor<Clob>`
  Parameters:
    `value` - The value for which to extract a hash code.
  Returns:
    The extracted hash code.

### areEqual

    public boolean areEqual(Clob one,
                            Clob another)

  Description copied from class: `AbstractTypeDescriptor`
  Determine if two instances are equal

  Specified by:
    `areEqual` in interface `JavaTypeDescriptor<Clob>`
  Overrides:
    `areEqual` in class `AbstractTypeDescriptor<Clob>`
  Parameters:
    `one` - One instance
    `another` - The other instance
  Returns:
    True if the two are considered equal; false otherwise.

### unwrap

    public <X> X unwrap(Clob value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Clob wrap(X value,
                         WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.